OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
VrmlData

# VrmlData_WorldInfo Class Reference

`#include <VrmlData_WorldInfo.hxx>`

Inheritance diagram for VrmlData_WorldInfo:

[legend]

## Public Member Functions
| VrmlData_WorldInfo ()
Standard_EXPORT | VrmlData_WorldInfo (const VrmlData_Scene &theScene, const char *theName=0L, const char *theTitle=0L)
Standard_EXPORT void | SetTitle (const char *theString)
Standard_EXPORT void | AddInfo (const char *theString)
const char * | Title () const
NCollection_List< const char * >::Iterator | InfoIterator () const
virtual Standard_EXPORT | Handle (VrmlData_Node) Clone(const Handle(VrmlData_Node)&theOther) const
virtual Standard_EXPORT VrmlData_ErrorStatus | Read (VrmlData_InBuffer &theBuffer)
virtual Standard_EXPORT VrmlData_ErrorStatus | Write (const char *thePrefix) const
virtual Standard_EXPORT Standard_Boolean | IsDefault () const
## Private Attributes
const char * | myTitle
NCollection_List< const char * > | myInfo

## Detailed Description

Data type for WorldInfo node

## Constructor & Destructor Documentation

VrmlData_WorldInfo::VrmlData_WorldInfo | ( |  | ) | `[inline]`

| Empty Constructor.

Standard_EXPORT VrmlData_WorldInfo::VrmlData_WorldInfo | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName = `0L`,
|  | const char * | theTitle = `0L`
| ) |

| Constructor.

## Member Function Documentation

Standard_EXPORT void VrmlData_WorldInfo::AddInfo | ( | const char * | theString | ) |

| Add a string to the list of info strings.

virtual Standard_EXPORT VrmlData_WorldInfo::Handle | ( | VrmlData_Node |  | ) | const`[virtual]`

| Create a copy of this node. If the parameter is null, a new copied node is created. Otherwise new node is not created, but rather the given one is modified. Reimplemented from VrmlData_Node.

NCollection_List<const char *>::Iterator VrmlData_WorldInfo::InfoIterator | ( |  | ) | const`[inline]`

| Return the iterator of Info strings.

virtual Standard_EXPORT Standard_Boolean VrmlData_WorldInfo::IsDefault | ( |  | ) | const`[virtual]`

| Returns True if the node is default, then it would not be written. Reimplemented from VrmlData_Node.

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_WorldInfo::Read | ( | VrmlData_InBuffer & | theBuffer | ) | `[virtual]`

| Read the Node from input stream. Implements VrmlData_Node.

Standard_EXPORT void VrmlData_WorldInfo::SetTitle | ( | const char * | theString | ) |

| Set or modify the title.

const char* VrmlData_WorldInfo::Title | ( |  | ) | const`[inline]`

| Query the title string.

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_WorldInfo::Write | ( | const char * | thePrefix | ) | const`[virtual]`

| Write the Node to the Scene output. Reimplemented from VrmlData_Node.

## Field Documentation

NCollection_List<const char *> VrmlData_WorldInfo::myInfo`[private]`

const char* VrmlData_WorldInfo::myTitle`[private]`

The documentation for this class was generated from the following file:

- VrmlData_WorldInfo.hxx